# Tools for GitLab

Maintainer: Jakob Moser <moser@cl.uni-heidelberg.de>

## 📦 Installation

First, clone the repo and install the dependencies:

```bash
git clone https://gitlab.cl.uni-heidelberg.de/moser/tools-for-gitlab.git
python3 -m venv venv
source venv/bin/activate
pip install -r requirements.txt
```

Create a file called `.env` in the repository directory, containing the GitLab API URL and an API access token you need to create, e.g., like this:

```
GITLAB_ACCESS_TOKEN="glpat-N3rDzcY3jq79SVYiU"
GITLAB_API_URL="https://gitlab.cl.uni-heidelberg.de/api/v4"
```

## 🔖 `create_labels.py`

Creates a set of labels (by default, the ones contained in `default_labels.json`) for a given project or group. Use like this:

```bash
source venv/bin/activate
./create_labels.py --project 1481
```

Use `./create_labels.py -h` for a list of available options.
